/*
 * Copyright (c) 2002-2012 JSCAPE
 * 1147 S. 53rd Pl., Mesa, Arizona, 85206, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

package com.jscape.util.log;

import java.util.logging.Formatter;
import java.util.logging.LogRecord;

/**
 * @author Roman Sheshunov
 */
public class DebugFormatter
        extends Formatter {

    private final String lineSeparator;

    public DebugFormatter() {
        this.lineSeparator = System.getProperty("line.separator");
    }

    @Override
    public String format(LogRecord record) {
        String message = formatMessage(record);
        return message + this.lineSeparator;
    }

}